import java.util.function.IntUnaryOperator;

public class StaticRecursiveLambda {

    // initialising static lambda with static block
	private static IntUnaryOperator fib;
	static {
		fib = n -> (n < 2) ? n :
			fib.applyAsInt(n-1) + fib.applyAsInt(n-2);
	}

	public static void main(String[] args) {
		for (int i = 1; i < 30; i++) {
			System.out.printf("%2d-th element of the sequence: %7d%n", i,
							StaticRecursiveLambda.fib.applyAsInt(i));
		}
	}
}
